FROM registry.fedoraproject.org/fedora-minimal:36
MAINTAINER Geoff Lawler glawler@isi.edu

WORKDIR /tmp
RUN \
        microdnf install -y wget tar gzip
RUN \
        wget https://github.com/smallstep/certificates/releases/download/v0.15.6/step-certificates_linux_0.15.6_amd64.tar.gz && \
        wget https://github.com/smallstep/cli/releases/download/v0.15.3/step_linux_0.15.3_amd64.tar.gz && \
        tar zxf step-certificates_linux_0.15.6_amd64.tar.gz && \
        tar zxf step_linux_0.15.3_amd64.tar.gz && \
        cp */bin/{step-ca,step} /usr/bin

FROM registry.fedoraproject.org/fedora-minimal:36

COPY --from=0 /usr/bin/step-ca /usr/bin/step-ca
COPY --from=0 /usr/bin/step /usr/bin/step

RUN date > /created.txt

# Do nothing by default.
CMD /bin/sh -c 'while true; do sleep 60000; done;'
